Billing
Create or validate a hosted plan purchase choice
Returns canonical plan, price, trial, payment, and expiry facts in an integrity-protected continuation token.
POST
/billing/purchase-choiceRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/billing/purchase-choice" \ -H "Content-Type: application/json" \ -d '{ "billing_period": "monthly", "plan_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/PurchaseChoiceResponse.json", "billing_period": "monthly", "card_required": true, "catalog_version": "string", "due_today_usd": 0, "expires_at": "2019-08-24T14:15:22Z", "list_price_usd": 0, "plan_id": "string", "plan_name": "string", "token": "string", "trial_days": 0}